## org.eclipse.ocl.expressions.operations
Class StringLiteralExpOperations

    java.lang.Object
      org.eclipse.ocl.expressions.operations.OCLExpressionOperations
          org.eclipse.ocl.expressions.operations.StringLiteralExpOperations

    public class StringLiteralExpOperations

extends OCLExpressionOperations

A static utility class that provides operations related to 'String Literal Exp' model objects.

The following operations are supported:

- `Check String Type`

Constructor Summary
`protected` `StringLiteralExpOperations()`

Method Summary

`static

`<C> boolean`

`

`checkStringType(StringLiteralExp<C> stringLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
self.type.name = 'String'

Methods inherited from class org.eclipse.ocl.expressions.operations.OCLExpressionOperations
`accept, getName, getType, setName, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringLiteralExpOperations

    protected StringLiteralExpOperations()

Method Detail

### checkStringType

    public static <C> boolean checkStringType(StringLiteralExp<C> stringLiteralExp,
                                              DiagnosticChain diagnostics,
                                              Map<Object,Object> context)

  self.type.name = 'String'

  Parameters:
    `stringLiteralExp` - The receiving 'String Literal Exp' model object.
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.